<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormWrapperBuilder documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormWrapperBuilder">GormWrapperBuilder documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the GormWrapperBuilder
        class</a>
        </li>
        <li>
          <a href="#002000000000">Software documentation for the
        GormWrapperBuilderFactory class</a>
        </li>
        <li>
          <a href="#003000000000">Software documentation for the GormWrapperBuilder
        protocol</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormWrapperBuilder
        class
      </a></h1>
    <h2><a name="class$GormWrapperBuilder">GormWrapperBuilder</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormWrapperBuilder.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd><a rel="gsdoc" href="#protocol$(GormWrapperBuilder)">GormWrapperBuilder</a></dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormWrapperBuilder_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormWrapperBuilder.html#method$GormWrapperBuilder+fileType">+fileType</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormWrapperBuilder+fileType">fileType&nbsp;</a></h3>
    + (NSString*) <b>fileType</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormWrapperBuilder_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormWrapperBuilder Class</h2>
    <h3><a name="ivariable$GormWrapperBuilder*document">document</a></h3>
    @protected GormDocument* <b>document</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>

          <h1><a name="002000000000">
        Software documentation for the
        GormWrapperBuilderFactory class
      </a></h1>
    <h2><a name="class$GormWrapperBuilderFactory">GormWrapperBuilderFactory</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormWrapperBuilder.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormWrapperBuilder.html#method$GormWrapperBuilderFactory+registerWrapperBuilderClass$">+registerWrapperBuilderClass:</a></li>
      <li><a rel="gsdoc" href="GormWrapperBuilder.html#method$GormWrapperBuilderFactory+sharedWrapperBuilderFactory">+sharedWrapperBuilderFactory</a></li>
      <li><a rel="gsdoc" href="GormWrapperBuilder.html#method$GormWrapperBuilderFactory-wrapperBuilderForType$">-wrapperBuilderForType:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormWrapperBuilderFactory+registerWrapperBuilderClass$">registerWrapperBuilderClass:&nbsp;</a></h3>
    + (void) <b>registerWrapperBuilderClass:</b> (Class)aClass;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormWrapperBuilderFactory+sharedWrapperBuilderFactory">sharedWrapperBuilderFactory&nbsp;</a></h3>
    + (<a rel="gsdoc" href="#class$GormWrapperBuilderFactory">GormWrapperBuilderFactory</a>*) <b>sharedWrapperBuilderFactory</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormWrapperBuilderFactory-wrapperBuilderForType$">wrapperBuilderForType:&nbsp;</a></h3>
    - (id<<a rel="gsdoc" href="#protocol$(GormWrapperBuilder)">GormWrapperBuilder</a>>) <b>wrapperBuilderForType:</b> (NSString*)type;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>

          <h1><a name="003000000000">
        Software documentation for the GormWrapperBuilder
        protocol
      </a></h1>
    <h2><a name="protocol$(GormWrapperBuilder)">GormWrapperBuilder</a></h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormWrapperBuilder.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormWrapperBuilder.html#method$(GormWrapperBuilder)-buildFileWrapperDictionaryWithDocument$">-buildFileWrapperDictionaryWithDocument:</a></li>
      <li><a rel="gsdoc" href="GormWrapperBuilder.html#method$(GormWrapperBuilder)-buildFileWrapperWithDocument$">-buildFileWrapperWithDocument:</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$(GormWrapperBuilder)-buildFileWrapperDictionaryWithDocument$">buildFileWrapperDictionaryWithDocument:&nbsp;</a></h3>
    - (NSMutableDictionary*) <b>buildFileWrapperDictionaryWithDocument:</b> (<a rel="gsdoc" href="GormDocument.html#class$GormDocument">GormDocument</a>*)document;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$(GormWrapperBuilder)-buildFileWrapperWithDocument$">buildFileWrapperWithDocument:&nbsp;</a></h3>
    - (NSFileWrapper*) <b>buildFileWrapperWithDocument:</b> (<a rel="gsdoc" href="GormDocument.html#class$GormDocument">GormDocument</a>*)document;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
